format_version: '1.0'

repository_url: https://github.com/pure-data/pure-data

sequence:
  base_version:
    input_file: '3a15e2c2.zip'
    commit_sha1: 3a15e2c25f4a6f81d2dd6ebb7ca382e6a85febac
  fix_attempt:
    - input_file: '18067e29.diff'
      commit_sha1: 18067e2962b68c7321f5f312f1b4be79cea34df5
    - input_file: '8b01a9f9.diff'
      commit_sha1: 8b01a9f995e34c4ed8fc780f3458868744c2ef38
    
  expected_fix:
    input_file: '41842835.diff'
    commit_sha1: 418428350f6a3f4aebf8b378dbefea39c38b4ee5

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/pure-data/pure-data/issues/477
